﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace RadCalendarSL__1065738
{
    public class CustomCovnerter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string currentMonth = value as string;
            int param = int.Parse(parameter.ToString());
            DateTime dateTime;
            string result;

            if (currentMonth != null && DateTime.TryParseExact(currentMonth.Split(new char[] { '-', ' ' })[0], "MMMM", CultureInfo.CurrentCulture, DateTimeStyles.AllowWhiteSpaces, out dateTime))
            {
                if (param == 1)
                {
                    dateTime = dateTime.AddMonths(1);
                    result = string.Format("{0} - {1}", CultureInfo.CurrentCulture.DateTimeFormat.GetMonthName(dateTime.Month), dateTime.Year);
                    return result;
                }
                else
                {
                    dateTime = dateTime.AddMonths(2);
                    result = string.Format("{0} - {1}", CultureInfo.CurrentCulture.DateTimeFormat.GetMonthName(dateTime.Month), dateTime.Year);
                    return result;
                }
            }

            return string.Empty;
            
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
